Bug 1197041 - Review Request: xorg-x11-drv-fbturbo - Xorg X11 fbturbo driver
Summary: Review Request: xorg-x11-drv-fbturbo - Xorg X11 fbturbo driver
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-27 11:34 UTC by Peter Robinson
Modified: 2015-03-20 17:20 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-20 17:20:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2015-02-27 11:34:01 UTC
SPEC: https://pbrobinson.fedorapeople.org/xorg-x11-drv-fbturbo.spec
SRPM: https://pbrobinson.fedorapeople.org/xorg-x11-drv-fbturbo-0.5.1-0.1.20150221.fc22.src.rpm

Description:
Xorg DDX driver for ARM devices (Allwinner, RPi and others), it's
based on the fbdev driver so will work in all places it does
but has NEON optimised code paths to improve ARM

Comment 1 Dennis Gilmore 2015-03-11 15:51:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package uses either %{buildroot} or $RPM_BUILD_ROOT
  Note: Using both %{buildroot} and $RPM_BUILD_ROOT
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#macros
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "MIT/X11 (BSD like)", "GPL (v2 or later) (with incorrect FSF address)",
     "Unknown or generated", "BSD (2 clause)". 1 files have unknown license.
     Detailed output of licensecheck in /home/dennis/1197041-xorg-x11-drv-
     fbturbo/licensecheck.txt
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
    Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[?]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[ ]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define moduledir %(pkg-config
     xorg-server --variable=moduledir ), %define driverdir
     %{moduledir}/drivers, %define gitdate 20150221, %define gitrev
     .%{gitdate}, %define dirsuffix %{gitdate}, %define dirsuffix %{version}
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xorg-x11-drv-fbturbo-0.5.1-0.1.20150221.fc21.armv7hl.rpm
          xorg-x11-drv-fbturbo-0.5.1-0.1.20150221.fc21.src.rpm
xorg-x11-drv-fbturbo.armv7hl: W: spelling-error %description -l en_US fbdev -> bedevil
xorg-x11-drv-fbturbo.armv7hl: W: spelling-error %description -l en_US optimised -> optimized, optimist, optimism
xorg-x11-drv-fbturbo.armv7hl: W: incoherent-version-in-changelog 0.5.1-0.1 ['0.5.1-0.1.20150221.fc21', '0.5.1-0.1.20150221']
xorg-x11-drv-fbturbo.src: W: spelling-error %description -l en_US fbdev -> bedevil
xorg-x11-drv-fbturbo.src: W: spelling-error %description -l en_US optimised -> optimized, optimist, optimism
xorg-x11-drv-fbturbo.src: W: strange-permission make-git-snapshot.sh 0775L
xorg-x11-drv-fbturbo.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
xorg-x11-drv-fbturbo.src: E: specfile-error sh: xserver-sdk-abi-requires: command not found
xorg-x11-drv-fbturbo.src: E: specfile-error Package xorg-server was not found in the pkg-config search path.
xorg-x11-drv-fbturbo.src: E: specfile-error Perhaps you should add the directory containing `xorg-server.pc'
xorg-x11-drv-fbturbo.src: E: specfile-error to the PKG_CONFIG_PATH environment variable
xorg-x11-drv-fbturbo.src: E: specfile-error No package 'xorg-server' found
2 packages and 0 specfiles checked; 6 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
xorg-x11-drv-fbturbo (rpmlib, GLIBC filtered):
    Xorg
    ld-linux-armhf.so.3
    libc.so.6
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.5)
    rtld(GNU_HASH)
    xserver-abi(ansic-0)
    xserver-abi(videodrv-18)



Provides
--------
xorg-x11-drv-fbturbo:
    xorg-x11-drv-fbturbo
    xorg-x11-drv-fbturbo(armv7hl-32)



Unversioned so-files
--------------------
xorg-x11-drv-fbturbo: /usr/lib/xorg/modules/drivers/fbturbo_drv.so

AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: xf86-video-fbturbo-20150221/configure.ac:48


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1197041
Buildroot used: fedora-21-armhfp
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


There is some inconsistent macro useage that can be fixed on import

Approved

Comment 2 Peter Robinson 2015-03-17 10:17:16 UTC
New Package GIT Request
=======================
Package Name: xorg-x11-drv-fbturbo
Short Description: Xorg X11 fbturbo driver
Owners: pbrobinson
Branches: F-21 F-22
InitialCC:

Comment 3 Gwyn Ciesla 2015-03-17 12:57:13 UTC
Git done (by process-git-requests).

Comment 4 Peter Robinson 2015-03-20 17:20:42 UTC
Imported, macro fixed, and building, thanks for the review


Note You need to log in before you can comment on or make changes to this bug.